net.sf.jasperreports.engine.design

## Class JRDesignStyle

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseStyle
  - - net.sf.jasperreports.engine.design.JRDesignStyle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Deduplicable, JRChangeEventsSupport, JRBoxContainer, JRCloneable, JRParagraphContainer, JRPenContainer, JRStyle, JRStyleContainer

      public class JRDesignStyle
      extends JRBaseStyle

  Version:
    $Id: JRDesignStyle.java 5898 2013-01-22 12:20:10Z chicuslavic $
  Author:
    Ionut Nedelcu (ionutned@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CONDITIONAL_STYLES`
    `static java.lang.String` | `PROPERTY_DEFAULT`
    `static java.lang.String` | `PROPERTY_NAME`
    `static java.lang.String` | `PROPERTY_PARENT_STYLE`
    `static java.lang.String` | `PROPERTY_PARENT_STYLE_NAME_REFERENCE`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseStyle

      `backcolor, conditionalStyles, defaultStyleProvider, fillValue, fontName, fontsize, forecolor, horizontalAlignmentValue, isBlankWhenNull, isBold, isDefault, isItalic, isPdfEmbedded, isStrikeThrough, isUnderline, lineBox, linePen, markup, modeValue, name, paragraph, parentStyle, parentStyleNameReference, pattern, pdfEncoding, pdfFontName, positionType, PROPERTY_BACKCOLOR, PROPERTY_BLANK_WHEN_NULL, PROPERTY_BOLD, PROPERTY_FILL, PROPERTY_FONT_NAME, PROPERTY_FONT_SIZE, PROPERTY_FORECOLOR, PROPERTY_HORIZONTAL_ALIGNMENT, PROPERTY_ITALIC, PROPERTY_LINE_SPACING, PROPERTY_MARKUP, PROPERTY_MODE, PROPERTY_PATTERN, PROPERTY_PDF_EMBEDDED, PROPERTY_PDF_ENCODING, PROPERTY_PDF_FONT_NAME, PROPERTY_RADIUS, PROPERTY_ROTATION, PROPERTY_SCALE_IMAGE, PROPERTY_STRIKE_THROUGH, PROPERTY_UNDERLINE, PROPERTY_VERTICAL_ALIGNMENT, radius, rotationValue, scaleImageValue, stretchType, verticalAlignmentValue`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRStyle

      `PROPERTY_EVALUATION_TIME_ENABLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignStyle()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConditionalStyle(int index, JRConditionalStyle conditionalStyle)`
    `void` | `addConditionalStyle(JRConditionalStyle conditionalStyle)`
    `java.lang.Object` | `clone()`
    `java.util.List<JRConditionalStyle>` | `getConditionalStyleList()`
    `JRConditionalStyle[]` | `getConditionalStyles()`
    `boolean` | `removeConditionalStyle(JRConditionalStyle conditionalStyle)`
    `void` | `setDefault(boolean isDefault)`
    `void` | `setName(java.lang.String name)`
    `void` | `setParentStyle(JRStyle parentStyle)`
    `void` | `setParentStyleNameReference(java.lang.String styleName)` Set the name of the external style to be used as parent style.

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseStyle

      `addStyleHash, checkCircularParent, getBackcolor, getDefaultLineColor, getDefaultLineWidth, getDefaultStyleProvider, getEventSupport, getFillValue, getFontName, getFontsize, getFontSize, getForecolor, getHashCode, getHorizontalAlignmentValue, getLineBox, getLinePen, getLineSpacingValue, getMarkup, getModeValue, getName, getOwnBackcolor, getOwnFillValue, getOwnFontName, getOwnFontsize, getOwnFontSize, getOwnForecolor, getOwnHorizontalAlignmentValue, getOwnLineSpacingValue, getOwnMarkup, getOwnModeValue, getOwnPattern, getOwnPdfEncoding, getOwnPdfFontName, getOwnRadius, getOwnRotationValue, getOwnScaleImageValue, getOwnVerticalAlignmentValue, getParagraph, getPattern, getPdfEncoding, getPdfFontName, getRadius, getRotationValue, getScaleImageValue, getStyle, getStyleNameReference, getVerticalAlignmentValue, identicalStyle, isBlankWhenNull, isBold, isDefault, isIdentical, isItalic, isOwnBlankWhenNull, isOwnBold, isOwnItalic, isOwnPdfEmbedded, isOwnStrikeThrough, isOwnUnderline, isPdfEmbedded, isStrikeThrough, isUnderline, rename, setBackcolor, setBlankWhenNull, setBlankWhenNull, setBold, setBold, setFill, setFontName, setFontSize, setFontSize, setFontSize, setForecolor, setHorizontalAlignment, setItalic, setItalic, setLineSpacing, setMarkup, setMode, setPattern, setPdfEmbedded, setPdfEmbedded, setPdfEncoding, setPdfFontName, setRadius, setRadius, setRotation, setScaleImage, setStrikeThrough, setStrikeThrough, setUnderline, setUnderline, setVerticalAlignment`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_DEFAULT

          public static final java.lang.String PROPERTY_DEFAULT

      See Also:
        Constant Field Values

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      See Also:
        Constant Field Values

    - #### PROPERTY_PARENT_STYLE

          public static final java.lang.String PROPERTY_PARENT_STYLE

      See Also:
        Constant Field Values

    - #### PROPERTY_PARENT_STYLE_NAME_REFERENCE

          public static final java.lang.String PROPERTY_PARENT_STYLE_NAME_REFERENCE

      See Also:
        Constant Field Values

    - #### PROPERTY_CONDITIONAL_STYLES

          public static final java.lang.String PROPERTY_CONDITIONAL_STYLES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignStyle

          public JRDesignStyle()

  - ### Method Detail

    - #### setName

          public void setName(java.lang.String name)

    - #### setDefault

          public void setDefault(boolean isDefault)

    - #### setParentStyle

          public void setParentStyle(JRStyle parentStyle)

      Overrides:
        `setParentStyle` in class `JRBaseStyle`

    - #### addConditionalStyle

          public void addConditionalStyle(JRConditionalStyle conditionalStyle)

    - #### addConditionalStyle

          public void addConditionalStyle(int index,
                                 JRConditionalStyle conditionalStyle)

    - #### removeConditionalStyle

          public boolean removeConditionalStyle(JRConditionalStyle conditionalStyle)

    - #### getConditionalStyles

          public JRConditionalStyle[] getConditionalStyles()

      Specified by:
        `getConditionalStyles` in interface `JRStyle`
      Overrides:
        `getConditionalStyles` in class `JRBaseStyle`

    - #### getConditionalStyleList

          public java.util.List<JRConditionalStyle> getConditionalStyleList()

    - #### setParentStyleNameReference

          public void setParentStyleNameReference(java.lang.String styleName)

      Set the name of the external style to be used as parent style.

      An external style is only effective when there is no internal parent style set, i.e. `getStyle()` returns `null` The external style will be resolved at fill time from the templates used in the report.
      Parameters:
        `styleName` - the name of the external style
      See Also:
        `JRBaseStyle.getStyleNameReference()`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseStyle`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com